HomeGuidesAPI Reference
API Reference

Update customer record v2

Update a customer record by its spektr ID. The ID can be a spektr ID or a reference ID. The type of the ID is specified in the type query parameter. Provide at least one of a non-empty data object, status, or a timestamp field (createdAt / updatedAt in Unix ms).

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

The ID of the customer record

Query Params
string
enum
required

The type of the customer record id. Either spektrId or reference

Allowed:
Body Params

Fields to update: optional golden-record data, optional workflow status, optional createdAt/updatedAt (Unix ms; applied only when changed).

data
object

Golden-record fields to merge into the customer. Optional when sending status. Must not be an empty object when provided.

string
enum

Workflow status: pending, approved, rejected, or archived. Optional when sending non-empty data.

Allowed:
number

Optional creation time (Unix ms). When provided and different from the stored value, it is persisted.

number

Optional last update time (Unix ms). When provided and different from the stored value, it is persisted.

Responses

409

Reference already exists; must be unique across client records

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json